
Foreman - Bug #14004

After_commit failure doesn't handle the rollback for the actions performed from the pre_commit

phase and active record objects

03/02/2016 05:04 AM - Ivan Necas

Status: New   

Priority: Normal   

Assignee:    

Category: Orchestration   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

If the are issue in the post-commit phase, the orchestration has

no way to how to handle the rollback of the records or ochestration

that happened in the pre_commit phase.

Related issues:

Related to Foreman - Bug #13771: Failure in after_commit orchestration is ver... New 02/17/2016

Related to Foreman - Bug #13769: SSH provisioning fails when sql logging leve... Closed 02/17/2016

Related to Foreman - Bug #3541: ec2 provisioning failure in setSSHProvision (... Closed 10/29/2013

Related to Foreman - Tracker #14002: Orchestration build around ActiveRecord ... New 03/02/2016

Related to Foreman - Bug #11987: Bash command used for running provisioning s... Closed 09/29/2015

History

#1 - 03/02/2016 05:05 AM - Ivan Necas

- Related to Bug #13771: Failure in after_commit orchestration is very hard to debug added

#2 - 03/02/2016 05:05 AM - Ivan Necas

- Related to Bug #13769: SSH provisioning fails when sql logging level is set to 'error' added

#3 - 03/02/2016 05:05 AM - Ivan Necas

- Related to Bug #3541: ec2 provisioning failure in setSSHProvision (when no CA available?) added

#4 - 03/02/2016 05:06 AM - Ivan Necas

- Related to Tracker #14002: Orchestration build around ActiveRecord hooks tracker added

#5 - 03/02/2016 05:19 AM - Ivan Necas

- Related to Bug #11987: Bash command used for running provisioning script via SSH is masking scripts's exit code added
